#
# spec file for package perl-Module-Install
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Module-Install
Version:        1.19
Release:        lp152.3.2
%define cpan_name Module-Install
Summary:        Standalone, extensible Perl module installer
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Module-Install/
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::PPPort) >= 3.16
BuildRequires:  perl(ExtUtils::Install) >= 1.52
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.59
BuildRequires:  perl(ExtUtils::ParseXS) >= 2.19
BuildRequires:  perl(File::Remove) >= 1.42
BuildRequires:  perl(File::Spec) >= 3.28
BuildRequires:  perl(Module::Build) >= 0.290000
BuildRequires:  perl(Module::CoreList) >= 2.17
BuildRequires:  perl(Module::ScanDeps) >= 1.09
BuildRequires:  perl(Parse::CPAN::Meta) >= 1.4413
BuildRequires:  perl(Test::Harness) >= 3.13
BuildRequires:  perl(Test::More) >= 0.86
BuildRequires:  perl(YAML::Tiny) >= 1.33
BuildRequires:  perl(autodie)
Requires:       perl(Devel::PPPort) >= 3.16
Requires:       perl(ExtUtils::Install) >= 1.52
Requires:       perl(ExtUtils::MakeMaker) >= 6.59
Requires:       perl(ExtUtils::ParseXS) >= 2.19
Requires:       perl(File::Remove) >= 1.42
Requires:       perl(File::Spec) >= 3.28
Requires:       perl(Module::Build) >= 0.290000
Requires:       perl(Module::CoreList) >= 2.17
Requires:       perl(Module::ScanDeps) >= 1.09
Requires:       perl(Parse::CPAN::Meta) >= 1.4413
Requires:       perl(YAML::Tiny) >= 1.38
Recommends:     perl(Archive::Zip) >= 1.37
Recommends:     perl(File::HomeDir) >= 1
Recommends:     perl(JSON) >= 2.9
Recommends:     perl(LWP::Simple) >= 6.00
Recommends:     perl(LWP::UserAgent) >= 6.05
Recommends:     perl(PAR::Dist) >= 0.29
%{perl_requires}

%description
*Module::Install* is a package for writing installers for CPAN (or
CPAN-like) distributions that are clean, simple, minimalist, act in a
strictly correct manner with ExtUtils::MakeMaker, and will run on any Perl
installation version 5.005 or newer.

The intent is to make it as easy as possible for CPAN authors (and
especially for first-time CPAN authors) to have installers that follow all
the best practices for distribution installation, but involve as much DWIM
(Do What I Mean) as possible when writing them.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README TODO

%changelog
* Wed Feb  7 2018 coolo@suse.com
- updated to 1.19
  see /usr/share/doc/packages/perl-Module-Install/Changes
  1.19  2017-12-19
  - remove use of INIT phase in Module::Install::DSL, to fix issues on perl
    5.27.7 (see cpan RT#123867 and perl RT#132577)
* Wed Apr  5 2017 coolo@suse.com
- updated to 1.18
  see /usr/share/doc/packages/perl-Module-Install/Changes
  1.18  2017-04-04
  - fix tests to no longer rely on . being in @INC (Graham Ollis, PR#58)
* Tue Oct 25 2016 coolo@suse.com
- updated to 1.17
  see /usr/share/doc/packages/perl-Module-Install/Changes
  1.17  2016-10-24
  - fix issue with mkpath with empty path
  - removed irrelevant code for Perl < v5.6
  - VMS fixes (RT#79858, Craig A. Berry)
  - documentation updated to reflect current discouraged state
* Sat May  2 2015 coolo@suse.com
- updated to 1.16
  see /usr/share/doc/packages/perl-Module-Install/Changes
* Fri Apr 17 2015 coolo@suse.com
- updated to 1.15
  see /usr/share/doc/packages/perl-Module-Install/Changes
  1.15 Thu Apr 16 2015
  - respect the 'urllist' option when using the CPAN backend (Dan Brook)
  - fixes for newlines on MSWin32 (Christian Walde)
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.14
  see /usr/share/doc/packages/perl-Module-Install/Changes
  1.14 Sat 25 Oct 2014
  - Newlines should be consistently UNIX-stylee now in generated files (MITHALDU)
  - Mark two tests as TODO if EUMM > 6.98 until utf8 gets fixed (BINGOS)
  1.12 Fri 29 Aug 2014
  - Revert license behaviour (TSIBLEY)
  - Documentation also mentioning metacpan.org (LLAP)
  1.10 Fri 11 Jul 2014
  - Minimum perl version is now v5.6.0 (BOWTIE)
  - Update license tables (BOWTIE)
  - Prereqs and recommends adjusted (BOWTIE)
  - Typo fixes (BOWTIE)
  - Pod fixes (GREGOA)
  - Fix make upgradedeps work with bundles (JNWHITLEY)
  - Fix name_from regex to work with recent package syntax (BOWTIE)
  - Performance enhancements when running Makefile.PL (GFUJI)
  - Removed use of sub prototypes (BOWTIE)
* Mon Mar 10 2014 coolo@suse.com
- updated to 1.08
  - Remove LWP::UserAgent from the prereqs (TOKUHIROM)
  - Require a more recent version of Module::ScanDeps (CHORNY)
  - Fix failing test case with recent Parse::CPAN::Meta (BINGOS)
  - Adding can_xs command, imported from Params::Util (ADAMK)
  - Adding requires_xs command, wrapping around can_xs (ADAMK)
  - Use Module::Metadata instead of require to check versions for
    modules that we don't need to subsequently use (MSTROUT/MIYAGAWA)
    Use EU:MM instead of Module::Metadata to check versions for
    modules that we don't need to subsequently use (ADAMK)
  - Removed automatic EU:MM version detection as it was using versions
    in the future, change to a fixed version, unf (ADAMK)
* Sat Nov 12 2011 coolo@suse.com
- update to 1.04:
  - Fixed _cmp to compare properly (MIYAGAWA)
  - Fixed the automated MakeMaker dependency addition (MIYAGAWA)
  - Last Perl 5.5 compatible MakeMaker was actually 6.36 (ADAMK)
  - META.yml flag dynamic_config is now always generated (ADAMK)
  - Added the convenience command static_config, as the default is to be
    dynamic (ADAMK)
  - Module::Install::DSL will automatically set static_config unless it
    can see an 'if' or 'unless' suffix (ADAMK)
* Fri Sep 30 2011 pascal.bleser@opensuse.org
- update to 1.02:
  * support for installdeps_target in Module::Install::AutoInstall and
    Module::AutoInstall
  * support for installdeps_notest, upgradedeps and upgradedeps_notest,
    listdeps and listalldeps targets in Module::AutoInstall
* Sun May  1 2011 coolo@opensuse.org
- updated to 1.01
  - Better error message in install_share (CHORNY)
  - Compatibility with MYMETA.yml support in EUMM (CHORNY)
  - Support for extraction of Artistic 2.0 license (CHORNY)
  - Support https links when searching for bug trackers (CHORNY)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Sep  1 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- bzipped Source
- noarch pkg
* Wed Sep  1 2010 pascal.bleser@opensuse.org
- initial package (1.00)
